<?xml version="1.0" encoding="UTF-8"?>
<wsdl:definitions name="Forum"
	targetNamespace="http://127.0.0.1/Forum/WS/"
	xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/"
	xmlns:soap="http://schemas.xmlsoap.org/wsdl/soap/"
	xmlns:soapenc="http://schemas.xmlsoap.org/soap/encoding/"
	xmlns:xsd="http://www.w3.org/2001/XMLSchema"
	xmlns:bbws="http://127.0.0.1/Forum/WS/">

	<wsdl:types>
		<xsd:schema xmlns:xsd="http://www.w3.org/2001/XMLSchema"
			targetNamespace="http://127.0.0.1/Forum/WS/">
			<xsd:element name="IdedList">
				<xsd:complexType>
					<xsd:sequence minOccurs="0" maxOccurs="unbounded">

						<xsd:element name="id" type="xsd:int"
							minOccurs="1" maxOccurs="1">
						</xsd:element>
						<xsd:element name="name" type="xsd:string"
							minOccurs="1" maxOccurs="1">
						</xsd:element>
					</xsd:sequence>
				</xsd:complexType>
			</xsd:element>

			<xsd:simpleType name="XSDSimpleType">
				<xsd:list itemType="xsd:int"></xsd:list>
			</xsd:simpleType>

		</xsd:schema>
	</wsdl:types>
	<wsdl:message name="List_ForumR">
		<wsdl:part name="none" type="xsd:int"></wsdl:part>
	</wsdl:message>
	<wsdl:message name="List_ForumA">
		<wsdl:part name="list" element="bbws:IdedList"></wsdl:part>
	</wsdl:message>
	<wsdl:portType name="PortType_forum">
		<wsdl:operation name="List_Forums">
			<wsdl:input message="bbws:List_ForumR"></wsdl:input>
			<wsdl:output message="bbws:List_ForumA"></wsdl:output>
		</wsdl:operation>
	</wsdl:portType>
	<wsdl:binding name="Binding_Forum" type="bbws:PortType_forum">
		<soap:binding style="rpc"
			transport="http://schemas.xmlsoap.org/soap/http" />
		<wsdl:operation name="List_Forums">
			<soap:operation
				soapAction="http://127.0.0.1/Forum/WS/List_Forums" />
			<wsdl:input>
				<soap:body use="literal"
					namespace="http://127.0.0.1/Forum/WS/" />
			</wsdl:input>
			<wsdl:output>
				<soap:body use="literal"
					namespace="http://127.0.0.1/Forum/WS/" />
			</wsdl:output>
		</wsdl:operation>
	</wsdl:binding>

	<wsdl:service name="phpBB_Forum">
		<wsdl:port name="Port_Forum" binding="bbws:Binding_Forum">
			<soap:address location="http://127.0.0.1/Forum/WS/" />
		</wsdl:port>

	</wsdl:service>
</wsdl:definitions>
